Construct2&3 Cordova Plugins (Plugins)

Discuss Scirra's 2D Asset Store

Post » Sat Mar 03, 2018 6:40 am

I see. It seems that the android version is meant, not the plugin version itself.

Code: Select all
cordova-android: 6.1.2, failed version requirement: >=6.3.0

So the latest file plugin needs at least cordova-android 6.3.0 or higher.

You can specify this in the config.xml as well. Cocoon is working with this version by default.

Apache Cordova android v6.2.3

https://cordova.apache.org/docs/en/late ... onfig-file

Code: Select all
<engine name="android" spec="https://github.com/apache/cordova-android.git#6.3.0" />


However I'm not sure if cocoon ignores this line and uses its default version.
Just give it a try.

P.S. it works fine on my end, have you added any additional plugins needing such a high cordova version?

Regards
Andy
Image Image iTunes: Match3 | Google Play: Match3
B
122
S
44
G
31
Posts: 1,203
Reputation: 30,257

Post » Mon Mar 05, 2018 8:02 pm

@AndreasR

ready, the mistake was mine, this image explains everything,
I was compressing badly .zip

Image

but the plugin I want to use still does not work, it's cranberrygame_CordovaFile_1.0.29
I want to export a .text but in android it does not request the permissions to write in the memory
I added the plugin to cocoon too and nothing
Image
B
69
S
25
G
10
Posts: 38
Reputation: 10,147

Post » Wed Mar 21, 2018 11:34 am

Addon "cranberrygame_CordovaAppodeal_1.0.9" does not work in c3, why?
B
11
S
5
Posts: 3
Reputation: 937

Post » Thu Apr 05, 2018 7:35 am

Hi
cranberrygame plugins work with cordova cli ?
i try to install plugin, but cordova has not found the plugin in base ?

Image
B
64
S
19
G
11
Posts: 160
Reputation: 23,235

Previous

Return to Scirra Store

Who is online

Users browsing this forum: No registered users and 1 guest